﻿@model CarRental.Core.Models.Car
@{
    ViewData["Title"] = "List";
    Layout = "~/Areas/Customer/Views/Shared/_LayoutCustomer.cshtml";
}

<section class="ftco-section ftco-car-details">
    <div class="container">
        <div class="row">
            <div class="col-md-5">
                <div id="imageCarousel" class="carousel slide" data-ride="carousel">
                    <div class="carousel-inner">
                        <div class="carousel-item active">
                            <img src="@Url.Content(Model.CarImage.FrontImg)" class="d-block w-100" alt="Image 1">
                        </div>
                        <div class="carousel-item">
                            <img src="@Url.Content(Model.CarImage.BackImg)" class="d-block w-100" alt="Image 2">
                        </div>
                        <div class="carousel-item">
                            <img src="@Url.Content(Model.CarImage.LeftImg)" class="d-block w-100" alt="Image 3">
                        </div>
                        <div class="carousel-item">
                            <img src="@Url.Content(Model.CarImage.RightImg)" class="d-block w-100" alt="Image 4">
                        </div>
                    </div>
                    <a class="carousel-control-prev" href="#imageCarousel" role="button"
                       data-slide="prev">
                        <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                        <span class="sr-only">Previous</span>
                    </a>
                    <a class="carousel-control-next" href="#imageCarousel" role="button"
                       data-slide="next">
                        <span class="carousel-control-next-icon" aria-hidden="true"></span>
                        <span class="sr-only">Next</span>
                    </a>
                </div>
            </div>
            <div class="col-md-5">
                <div class="car-details">
                    <div class="text">
                        <span class="subheading">@Model.BrandModel.Brand</span>
                        <h2>@Model.CarName</h2>
                    </div>
                    <div class="text">
                        <span>Ratings:</span>
                        @if (double.IsNaN(ViewBag.AvgRate) || ViewBag.AvgRate < 0.5)
                        {
                            <span class="fa fa-star"></span>
                            <span class="fa fa-star "></span>
                            <span class="fa fa-star "></span>
                            <span class="fa fa-star"></span>
                            <span class="fa fa-star"></span>
                        }
                        else if (ViewBag.AvgRate >= 0.5 && ViewBag.AvgRate < 1.5)
                        {
                            <span class="fa fa-star checked"></span>
                            <span class="fa fa-star "></span>
                            <span class="fa fa-star "></span>
                            <span class="fa fa-star "></span>
                            <span class="fa fa-star "></span>
                        }
                        else if (ViewBag.AvgRate >= 1.5 && ViewBag.AvgRate < 2.5)
                        {
                            <span class="fa fa-star checked"></span>
                            <span class="fa fa-star checked"></span>
                            <span class="fa fa-star "></span>
                            <span class="fa fa-star "></span>
                            <span class="fa fa-star "></span>
                        }
                        else if (ViewBag.AvgRate >= 2.5 && ViewBag.AvgRate < 3.5)
                        {
                            <span class="fa fa-star checked"></span>
                            <span class="fa fa-star checked"></span>
                            <span class="fa fa-star checked"></span>
                            <span class="fa fa-star checked"></span>
                            <span class="fa fa-star "></span>
                        }
                        else if (ViewBag.AvgRate >= 3.5 && ViewBag.AvgRate < 4.5)
                        {
                            <span class="fa fa-star checked"></span>
                            <span class="fa fa-star checked"></span>
                            <span class="fa fa-star checked"></span>
                            <span class="fa fa-star checked"></span>
                            <span class="fa fa-star "></span>
                        }
                        else if (ViewBag.AvgRate >= 4.5)
                        {
                            <span class="fa fa-star checked"></span>
                            <span class="fa fa-star checked"></span>
                            <span class="fa fa-star checked"></span>
                            <span class="fa fa-star checked"></span>
                            <span class="fa fa-star checked"></span>
                        }
                    </div>
                    <div class="text">
                        <span>No. of rides: @ViewBag.NumbersOfRide</span>
                    </div>
                    <div class="text">
                        <span>Price: @string.Format("{0:N0} VND", @Model.BasePrice)/day</span>
                    </div>
                    <div class="text">
                        <span>Locations: @Model.Address.Ward, @Model.Address.District, @Model.Address.City</span>
                    </div>
                    <div class="text">
                        <span>Status: <span style="color: green;">Available</span></span>
                    </div>
                </div>
            </div>
            <div class="col-md-2 d-flex align-items-center">
                <a href="@Url.Action("RentCar", "Cars", new { carId = @Model.CarId })" class="btn btn-success py-2 ml-1">Rent now</a>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12 pills">
                <div class="bd-example bd-example-tabs">
                    <div class="d-flex justify-content-center">
                        <ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">

                            <li class="nav-item">
                                <a class="nav-link active" id="pills-description-tab"
                                   data-toggle="pill" href="#pills-description" role="tab"
                                   aria-controls="pills-description" aria-expanded="true">
                                    Basic information
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" id="pills-manufacturer-tab" data-toggle="pill"
                                   href="#pills-manufacturer" role="tab"
                                   aria-controls="pills-manufacturer" aria-expanded="true">Details</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" id="pills-review-tab" data-toggle="pill"
                                   href="#pills-review" role="tab" aria-controls="pills-review"
                                   aria-expanded="true">Terms of use</a>
                            </li>
                        </ul>
                    </div>

                    <div class="tab-content" id="pills-tabContent">
                        <div class="tab-pane fade show active" id="pills-description"
                             role="tabpanel" aria-labelledby="pills-description-tab">
                            <div class="row">
                                <div class="col-md-6">
                                    <p class="basic-info">License plate: <strong>@Model.LicensePlate</strong></p>
                                    <p class="basic-info">Brand name: @Model.BrandModel.Brand</p>
                                    <p class="basic-info">Production year: @Model.ProductionYears</p>
                                    <p class="basic-info">Transmission: @Model.TransmissionType</p>
                                    <p class="basic-info">Documents:</p>
                                </div>
                                <div class="col-md-6">
                                    <p class="basic-info">Color: @Model.Color.ColorName</p>
                                    <p class="basic-info">Model: @Model.BrandModel.Model</p>
                                    <p class="basic-info">No. of seats: @Model.NumberOfSeats</p>
                                    <p class="basic-info">Fuel: @Model.FuelType</p>
                                </div>
                                <table class="table">
                                    <thead class="thead-light">
                                        <tr>
                                            <th scope="col">No</th>
                                            <th scope="col">Name</th>
                                            <th scope="col">Note</th>
                                            <th scope="col">Link</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <th scope="row">1</th>
                                            <td>Registration paper</td>
                                            @if (Model.CarImage.Registration != null)
                                            {
                                                <td>Verified</td>
                                                <td>
                                                    <a class="d-block w-75"
                                                       href="@Url.Content(Model.CarImage.Registration)"
                                                       target="_blank">
                                                        Registration.pdf
                                                    </a>
                                                </td>
                                            }
                                            else
                                            {
                                                <td>Not Available</td>
                                                <td>
                                                    Not Available
                                                </td>
                                            }

                                        </tr>
                                        <tr>
                                            <th scope="row">2</th>
                                            <td>Certificate of inspection</td>
                                            @if (Model.CarImage.CertificateImg != null)
                                            {
                                                <td>Verified</td>
                                                <td>
                                                    <a class="d-block w-75"
                                                       href="@Url.Content(Model.CarImage.CertificateImg)"
                                                       target="_blank">
                                                        CertificateOfInspection.pdf
                                                    </a>
                                                </td>
                                            }
                                            else
                                            {
                                                <td>Not Available</td>
                                                <td>
                                                    Not Available
                                                </td>
                                            }

                                        </tr>
                                        <tr>
                                            <th scope="row">3</th>
                                            <td>Insurance</td>
                                            @if (Model.CarImage.InsuranceImg != null)
                                            {
                                                <td>Not available</td>
                                                <td>
                                                    <a class="d-block w-75"
                                                       href="@Url.Content(Model.CarImage.InsuranceImg)"
                                                       target="_blank">
                                                        Insurance.pdf
                                                    </a>
                                                </td>
                                            }
                                            else
                                            {
                                                <td>Not Available</td>
                                                <td>
                                                    Not Available
                                                </td>
                                            }

                                        </tr>
                                    </tbody>
                                </table>
                                <p>
                                    Note: Documents will be available for viewing after you've paid the
                                    deposit to rent.
                                </p>
                            </div>
                        </div>

                        <div class="tab-pane fade" id="pills-manufacturer" role="tabpanel"
                             aria-labelledby="pills-manufacturer-tab">
                            <div class="row">
                                <div class="col-md d-flex align-self-stretch ftco-animate">
                                    <div class="media block-6 services">
                                        <div class="media-body py-md-4">
                                            <div class="d-flex mb-3 align-items-center">
                                                <div class="icon d-flex align-items-center justify-content-center">
                                                    <span class="flaticon-dashboard"></span>
                                                </div>
                                                <div class="text">
                                                    <h3 class="heading mb-0 pl-3">
                                                        Mileage
                                                        <span>@Model.Mileage</span>
                                                    </h3>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md d-flex align-self-stretch ftco-animate">
                                    <div class="media block-6 services">
                                        <div class="media-body py-md-4">
                                            <div class="d-flex mb-3 align-items-center">
                                                <div class="icon d-flex align-items-center justify-content-center">
                                                    <span class="flaticon-pistons"></span>
                                                </div>
                                                <div class="text">
                                                    <h3 class="heading mb-0 pl-3">
                                                        Fuel consumption
                                                        <span>@Model.FuelConsumption liters/100 km</span>
                                                    </h3>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md d-flex align-self-stretch ftco-animate">
                                    <div class="media block-6 services">
                                        <div class="media-body py-md-4">
                                            <div class="d-flex mb-3 align-items-center">
                                                <div class="icon d-flex align-items-center justify-content-center">
                                                    <span class="flaticon-pistons"></span>
                                                </div>
                                                <div class="text">
                                                    <h3 class="heading mb-0 pl-3">
                                                        Address
                                                        <span>@Model.Address.Ward, @Model.Address.District, @Model.Address.City</span>
                                                    </h3>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md d-flex align-self-stretch ftco-animate">
                                    <div class="media block-6 services">
                                        <div class="media-body py-md-4">
                                            <div class="d-flex mb-3 align-items-center">
                                                <div class="icon d-flex align-items-center justify-content-center">
                                                    <span class="flaticon-pistons"></span>
                                                </div>
                                                <div class="text">
                                                    <h3 class="heading mb-0 pl-3">
                                                        Description
                                                        <span>@Model.Description</span>
                                                    </h3>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <p>Additional functions: </p>
                            <div class="row text-center">
                                <div class="col-md-4">
                                    <ul class="features">
                                        @if (Model.AdditionalFunctions.Contains("Bluetooth", StringComparison.CurrentCultureIgnoreCase))
                                        {
                                                <li class="check"><span class="ion-ios-checkmark"></span>Bluetooth</li>
                                        }
                                        else
                                        {
                                            <li class="remove"><span class="ion-ios-close"></span>Bluetooth</li>
                                        }
                                        @if (Model.AdditionalFunctions.Contains("GPS", StringComparison.CurrentCultureIgnoreCase))
                                        {
                                            <li class="check"><span class="ion-ios-checkmark"></span>GPS</li>
                                        }
                                        else
                                        {
                                            <li class="remove"><span class="ion-ios-close"></span>GPS</li>
                                        }
                                        @if (Model.AdditionalFunctions.Contains("Camera", StringComparison.CurrentCultureIgnoreCase))
                                        {
                                            <li class="check"><span class="ion-ios-checkmark"></span>Camera</li>
                                        }
                                        else
                                        {
                                            <li class="remove"><span class="ion-ios-close"></span>Camera</li>
                                        }
                                    </ul>
                                </div>
                                <div class="col-md-4">
                                    <ul class="features">
                                         @if (Model.AdditionalFunctions.Contains("Sun roof", StringComparison.CurrentCultureIgnoreCase))
                                        {
                                            <li class="check"><span class="ion-ios-checkmark"></span>Sun roof</li>
                                        }
                                        else
                                        {
                                            <li class="remove"><span class="ion-ios-close"></span>Sun roof</li>
                                        }
                                         @if (Model.AdditionalFunctions.Contains("Child lock", StringComparison.CurrentCultureIgnoreCase))
                                        {
                                            <li class="check"><span class="ion-ios-checkmark"></span>Child lock</li>
                                        }
                                        else
                                        {
                                            <li class="remove"><span class="ion-ios-close"></span>Child lock</li>
                                        }
                                         @if (Model.AdditionalFunctions.Contains("Child seat", StringComparison.CurrentCultureIgnoreCase))
                                        {
                                            <li class="check"><span class="ion-ios-checkmark"></span>Child seat</li>
                                        }
                                        else
                                        {
                                            <li class="remove"><span class="ion-ios-close"></span>Child seat</li>
                                        }
                                       
                                    </ul>
                                </div>
                                <div class="col-md-4">
                                    <ul class="features">
                                        @if (Model.AdditionalFunctions.Contains("USB", StringComparison.CurrentCultureIgnoreCase))
                                        {
                                            <li class="check"><span class="ion-ios-checkmark"></span>USB</li>
                                        }
                                        else
                                        {
                                            <li class="remove"><span class="ion-ios-close"></span>USB</li>
                                        }
                                        @if (Model.AdditionalFunctions.Contains("DVD", StringComparison.CurrentCultureIgnoreCase))
                                        {
                                            <li class="check"><span class="ion-ios-checkmark"></span>DVD</li>
                                        }
                                        else
                                        {
                                            <li class="remove"><span class="ion-ios-close"></span>DVD</li>
                                        }
                                    </ul>
                                </div>
                            </div>
                        </div>

                        <div class="tab-pane fade" id="pills-review" role="tabpanel"
                             aria-labelledby="pills-review-tab">
                            <div>
                                <p>Base price: @string.Format("{0:N0} VND", @Model.BasePrice)/day</p>
                                <p>Required deposit: @string.Format("{0:N0} VND", @Model.Deposit)</p>
                                <p>Terms of use:</p>
                                <div class="row">
                                    <div class="col-md-6">
                                        <ul class="features">
                                                                                        @if (Model.TermsOfUse.Contains("No smoking", StringComparison.CurrentCultureIgnoreCase))
											{
                                                <li class="check"><span class="ion-ios-checkmark"></span>No smoking</li>
											}
											else
											{
                                                <li class="remove"><span class="ion-ios-close"></span>No smoking</li>
											}
                                                                                        @if (Model.TermsOfUse.Contains("No pet", StringComparison.CurrentCultureIgnoreCase))
											{
                                                <li class="check"><span class="ion-ios-checkmark"></span>No pet</li>
											}
											else
											{
<li class="remove"><span class="ion-ios-close"></span>No pet</li>
											}
                                        </ul>
                                    </div>
                                    <div class="col-md-6">
                                        <ul class="features">
                                           
                                            @if (Model.TermsOfUse.Contains("No food in car", StringComparison.CurrentCultureIgnoreCase))
											{
                                                <li class="check"><span class="ion-ios-checkmark"></span>No food in car</li>
											}
											else
											{
<li class="remove"><span class="ion-ios-close"></span>No food in car</li>
											}
                                            @if (Model.TermsOfUse.Contains("Other", StringComparison.CurrentCultureIgnoreCase))
											{
                                                <li class="check"><span class="ion-ios-checkmark"></span>Other: @ViewBag.SpecificOther</li>							
											}
											else
											{
<li class="remove"><span class="ion-ios-close"></span>Other</li>
											}
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
@section Css {
    <style>
        .checked {
            color: orange;
        }
    </style>
}
